Index: dcc.c
===================================================================
--- dcc.c	(revision 2288705af462b4aca2d56f228bff269eab8d8b5f)
+++ dcc.c	(revision 1c3008ac0b2b29f7e14ec9b874af3277c511c7a4)
@@ -115,5 +115,6 @@
 {
 	file_transfer_t *file = g_new0( file_transfer_t, 1 );
-	dcc_file_transfer_t *df = file->priv = g_new0( dcc_file_transfer_t, 1);
+	dcc_file_transfer_t *df = file->priv = g_new0( dcc_file_transfer_t, 1 );
+	
 	file->file_size = file_size;
 	file->file_name = g_strdup( file_name );
@@ -144,5 +145,6 @@
 	/* listen and request */
 
-	if( ( df->fd = ft_listen( &saddr, host, port, TRUE, &errmsg ) ) == -1 ) {
+	if( ( df->fd = ft_listen( &saddr, host, port, TRUE, &errmsg ) ) == -1 )
+	{
 		dcc_abort( df, "Failed to listen locally, check your ft_listen setting in bitlbee.conf: %s", errmsg );
 		return NULL;
@@ -161,7 +163,8 @@
 	df->progress_timeout = b_timeout_add( DCC_MAX_STALL * 1000, dcc_progress, df );
 
-	imcb_log( ic, "File transfer request from %s for %s (%zd kb). ", user_nick, file_name, file_size/1024 );
-
-	imcb_log( ic, "Accept the file transfer if you'd like the file. If you don't, issue the 'transfers reject' command.");
+	imcb_log( ic, "File transfer request from %s for %s (%zd kb).\n"
+	              "Accept the file transfer if you'd like the file. If you don't, "
+	              "issue the 'transfers reject' command.",
+	              user_nick, file_name, file_size / 1024 );
 
 	return file;
@@ -199,5 +202,5 @@
 		/* no progress. cancel */
 		if( df->bytes_sent == 0 )
-			return dcc_abort( df, "Couldnt establish transfer within %d seconds", DCC_MAX_STALL );
+			return dcc_abort( df, "Couldn't establish transfer within %d seconds", DCC_MAX_STALL );
 		else 
 			return dcc_abort( df, "Transfer stalled for %d seconds at %d kb", DCC_MAX_STALL, df->bytes_sent / 1024 );
@@ -230,5 +233,6 @@
 			 ntohl( saddr_ipv4->sin_addr.s_addr ) );
 		port = saddr_ipv4->sin_port;
-	} else 
+	}
+	else 
 	{
 		struct sockaddr_in6 *saddr_ipv6 = ( struct sockaddr_in6 *) saddr;
@@ -250,5 +254,5 @@
 	
 	if ( !irc_msgfrom( df->ic->irc, user_nick, cmd ) )
-		return dcc_abort( df, "couldn't send 'DCC SEND' message to %s", user_nick );
+		return dcc_abort( df, "Couldn't send `DCC SEND' message to %s.", user_nick );
 
 	g_free( cmd );
@@ -313,5 +317,5 @@
 	short revents;
 	
-	if( !dcc_poll( df, fd, &revents) )
+	if( !dcc_poll( df, fd, &revents ) )
 		return FALSE;
 
@@ -349,5 +353,5 @@
 		int ret;
 		
-		ASSERTSOCKOP( ret = recv( fd, &bytes_received, sizeof( bytes_received  ), MSG_PEEK ), "Receiving" );
+		ASSERTSOCKOP( ret = recv( fd, &bytes_received, sizeof( bytes_received ), MSG_PEEK ), "Receiving" );
 
 		if( ret == 0 )
@@ -356,9 +360,9 @@
 		if( ret < 4 )
 		{
-			imcb_log( df->ic, "WARNING: DCC SEND: receiver sent only 2 bytes instead of 4, shouldn't happen too often!" );
+			imcb_log( df->ic, "WARNING: DCC SEND: receiver sent only %d bytes instead of 4, shouldn't happen too often!", ret );
 			return TRUE;
 		}
 
-		ASSERTSOCKOP( ret = recv( fd, &bytes_received, sizeof( bytes_received  ), 0 ), "Receiving" );
+		ASSERTSOCKOP( ret = recv( fd, &bytes_received, sizeof( bytes_received ), 0 ), "Receiving" );
 		if( ret != 4 )
 			return dcc_abort( df, "MSG_PEEK'ed 4, but can only dequeue %d bytes", ret );
@@ -400,5 +404,5 @@
 		return dcc_abort( df, "BUG: protocol didn't register write()" );
 	
-	ASSERTSOCKOP( fd = df->fd = socket( saddr->ss_family, SOCK_STREAM, 0 ) , "Opening Socket" );
+	ASSERTSOCKOP( fd = df->fd = socket( saddr->ss_family, SOCK_STREAM, 0 ), "Opening Socket" );
 
 	sock_make_nonblocking( fd );
@@ -429,5 +433,5 @@
 }
 
-gboolean dccs_recv_proto( gpointer data, gint fd, b_input_condition cond)
+gboolean dccs_recv_proto( gpointer data, gint fd, b_input_condition cond )
 {
 	dcc_file_transfer_t *df = data;
Index: protocols/jabber/Makefile
===================================================================
--- protocols/jabber/Makefile	(revision 2288705af462b4aca2d56f228bff269eab8d8b5f)
+++ protocols/jabber/Makefile	(revision 1c3008ac0b2b29f7e14ec9b874af3277c511c7a4)
@@ -10,5 +10,5 @@
 
 # [SH] Program variables
-objects = conference.o io.o iq.o jabber.o jabber_util.o message.o presence.o sasl.o si.o s5bytestream.o
+objects = conference.o io.o iq.o jabber.o jabber_util.o message.o presence.o s5bytestream.o sasl.o si.o
 
 CFLAGS += -Wall
Index: protocols/jabber/iq.c
===================================================================
--- protocols/jabber/iq.c	(revision 2288705af462b4aca2d56f228bff269eab8d8b5f)
+++ protocols/jabber/iq.c	(revision 1c3008ac0b2b29f7e14ec9b874af3277c511c7a4)
@@ -99,7 +99,7 @@
 			                           XMLNS_MUC,
 			                           XMLNS_PING,
-						   XMLNS_SI,
-						   XMLNS_BYTESTREAMS,
-						   XMLNS_FILETRANSFER,
+			                           XMLNS_SI,
+			                           XMLNS_BYTESTREAMS,
+			                           XMLNS_FILETRANSFER,
 			                           NULL };
 			const char **f;
@@ -127,14 +127,16 @@
 	else if( strcmp( type, "set" ) == 0 )
 	{
-		if(  ( c = xt_find_node( node->children, "si" ) ) &&
-		     ( strcmp( xt_find_attr( c, "xmlns" ), XMLNS_SI ) == 0 ) )
+		if( ( c = xt_find_node( node->children, "si" ) ) &&
+		    ( strcmp( xt_find_attr( c, "xmlns" ), XMLNS_SI ) == 0 ) )
 		{
 			return jabber_si_handle_request( ic, node, c );
-		} else if( !( c = xt_find_node( node->children, "query" ) ) ||
-		    !( s = xt_find_attr( c, "xmlns" ) ) )
+		}
+		else if( !( c = xt_find_node( node->children, "query" ) ) ||
+		         !( s = xt_find_attr( c, "xmlns" ) ) )
 		{
 			imcb_log( ic, "Warning: Received incomplete IQ-%s packet", type );
 			return XT_HANDLED;
-		} else if( strcmp( s, XMLNS_ROSTER ) == 0 )
+		}
+		else if( strcmp( s, XMLNS_ROSTER ) == 0 )
 		{
 		/* This is a roster push. XMPP servers send this when someone
@@ -160,9 +162,11 @@
 				pack = 0;
 			}
-		} else if( strcmp( s, XMLNS_BYTESTREAMS ) == 0 )
-		{
-		     	/* Bytestream Request (stage 2 of file transfer) */
+		}
+		else if( strcmp( s, XMLNS_BYTESTREAMS ) == 0 )
+		{
+			/* Bytestream Request (stage 2 of file transfer) */
 			return jabber_bs_recv_request( ic, node, c );
-		} else
+		}
+		else
 		{
 			xt_free_node( reply );
@@ -655,7 +659,8 @@
 	
 	c = c->children;
-	while( ( c = xt_find_node( c, "feature" ) ) ) {
+	while( ( c = xt_find_node( c, "feature" ) ) )
+	{
 		feature = xt_find_attr( c, "var" );
-		bud->features = g_slist_append(bud->features, g_strdup(feature) );
+		bud->features = g_slist_append( bud->features, g_strdup( feature ) );
 		c = c->next;
 	}
@@ -719,5 +724,6 @@
 			c = c->next;
 		}
-	} else if( strcmp( xt_find_attr( c, "xmlns" ), XMLNS_DISCO_INFO ) == 0 )
+	}
+	else if( strcmp( xt_find_attr( c, "xmlns" ), XMLNS_DISCO_INFO ) == 0 )
 	{
 		char *category, *type;
@@ -737,5 +743,6 @@
 			c = c->next;
 		}
-	} else if( strcmp( xt_find_attr( c, "xmlns" ), XMLNS_BYTESTREAMS ) == 0 )
+	}
+	else if( strcmp( xt_find_attr( c, "xmlns" ), XMLNS_BYTESTREAMS ) == 0 )
 	{
 		char *host, *jid;
@@ -761,4 +768,5 @@
 	if( jd->have_streamhosts == 0 )
 		jd->have_streamhosts++;
+
 	return XT_HANDLED;
 }
Index: protocols/jabber/jabber.c
===================================================================
--- protocols/jabber/jabber.c	(revision 2288705af462b4aca2d56f228bff269eab8d8b5f)
+++ protocols/jabber/jabber.c	(revision 1c3008ac0b2b29f7e14ec9b874af3277c511c7a4)
@@ -63,4 +63,6 @@
 	
 	s = set_add( &acc->set, "priority", "0", set_eval_priority, acc );
+
+	s = set_add( &acc->set, "proxy", "<local>;<auto>", NULL, acc );
 	
 	s = set_add( &acc->set, "resource", "BitlBee", NULL, acc );
@@ -80,6 +82,4 @@
 	s = set_add( &acc->set, "xmlconsole", "false", set_eval_bool, acc );
 	s->flags |= ACC_SET_OFFLINE_ONLY;
-
-	s = set_add( &acc->set, "proxy", "<local>;<auto>", NULL, acc );
 }
 
Index: protocols/jabber/jabber.h
===================================================================
--- protocols/jabber/jabber.h	(revision 2288705af462b4aca2d56f228bff269eab8d8b5f)
+++ protocols/jabber/jabber.h	(revision 1c3008ac0b2b29f7e14ec9b874af3277c511c7a4)
@@ -60,5 +60,5 @@
 } jabber_buddy_flags_t;
 
-/* Stores a streamhost's(a.k.a. proxy) data */
+/* Stores a streamhost's (a.k.a. proxy) data */
 typedef struct
 {
Index: protocols/msn/Makefile
===================================================================
--- protocols/msn/Makefile	(revision 2288705af462b4aca2d56f228bff269eab8d8b5f)
+++ protocols/msn/Makefile	(revision 1c3008ac0b2b29f7e14ec9b874af3277c511c7a4)
@@ -10,5 +10,5 @@
 
 # [SH] Program variables
-objects = msn.o msn_util.o ns.o passport.o sb.o tables.o invitation.o
+objects = invitation.o msn.o msn_util.o ns.o passport.o sb.o tables.o
 
 CFLAGS += -Wall
Index: protocols/msn/msn.c
===================================================================
--- protocols/msn/msn.c	(revision 2288705af462b4aca2d56f228bff269eab8d8b5f)
+++ protocols/msn/msn.c	(revision 1c3008ac0b2b29f7e14ec9b874af3277c511c7a4)
@@ -78,5 +78,5 @@
 	{
 		while( md->filetransfers ) {
-			imcb_file_canceled( md->filetransfers->data, "Closing msn connection" );
+			imcb_file_canceled( md->filetransfers->data, "Closing connection" );
 		}
 		
Index: protocols/msn/sb.c
===================================================================
--- protocols/msn/sb.c	(revision 2288705af462b4aca2d56f228bff269eab8d8b5f)
+++ protocols/msn/sb.c	(revision 1c3008ac0b2b29f7e14ec9b874af3277c511c7a4)
@@ -174,9 +174,11 @@
 			buf = g_new0( char, i );
 			i = g_snprintf( buf, i, MSN_TYPING_HEADERS, sb->ic->acc->user );
-		} else if( strncmp( text, MSN_INVITE_HEADERS, sizeof( MSN_INVITE_HEADERS ) - 1 ) == 0 ) 
+		}
+		else if( strncmp( text, MSN_INVITE_HEADERS, sizeof( MSN_INVITE_HEADERS ) - 1 ) == 0 ) 
 		{
 			buf = g_strdup( text );
 			i = strlen( buf );
-		} else
+		}
+		else
 		{
 			buf = g_new0( char, sizeof( MSN_MESSAGE_HEADERS ) + strlen( text ) * 2 + 1 );
